summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Derek Noonburg <derekn@foolabs.com>2015-01-07 23:00:28 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-01-07 23:12:14 +0700
commit1f72604e77b38b1192a164bd83afc21d397d96e7 (patch)
tree5d7339a22224ebf9545a7b5fb2a1e3e74b2bc2b9 /network
parenta7ba9ce4e80fd894a11f7435ffec00e70b915c13 (diff)
downloadslackbuilds-1f72604e77b38b1192a164bd83afc21d397d96e7.tar.gz
slackbuilds-1f72604e77b38b1192a164bd83afc21d397d96e7.tar.xz
network/courier-unicode: Added (Courier Unicode library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/courier-unicode/README2
-rw-r--r--network/courier-unicode/courier-unicode.SlackBuild78
-rw-r--r--network/courier-unicode/courier-unicode.info10
-rw-r--r--network/courier-unicode/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/network/courier-unicode/README b/network/courier-unicode/README
new file mode 100644
index 0000000000..23211d4212
--- /dev/null
+++ b/network/courier-unicode/README
@@ -0,0 +1,2 @@
+The Courier Unicode library provides Unicode-related algorithms for
+other Courier applications.
diff --git a/network/courier-unicode/courier-unicode.SlackBuild b/network/courier-unicode/courier-unicode.SlackBuild
new file mode 100644
index 0000000000..576f89633a
--- /dev/null
+++ b/network/courier-unicode/courier-unicode.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for courier unicode
+
+# Written by Derek Noonburg (derekn@foolabs.com)
+# 2015-01-06
+# Released into the public domain.
+
+PRGNAM=courier-unicode
+VERSION=${VERSION:-1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG="$TMP/package-$PRGNAM"
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R operator .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a INSTALL COPYING AUTHORS README* ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/courier-unicode/courier-unicode.info b/network/courier-unicode/courier-unicode.info
new file mode 100644
index 0000000000..2368fce438
--- /dev/null
+++ b/network/courier-unicode/courier-unicode.info
@@ -0,0 +1,10 @@
+PRGNAM="courier-unicode"
+VERSION="1.1"
+HOMEPAGE="http://www.courier-mta.org/unicode/"
+DOWNLOAD="https://download.sourceforge.net/courier/courier-unicode-1.1.tar.bz2"
+MD5SUM="5fea17f4f0f50298a76f03bda6b24ada"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Derek Noonburg"
+EMAIL="derekn@foolabs.com"
diff --git a/network/courier-unicode/slack-desc b/network/courier-unicode/slack-desc
new file mode 100644
index 0000000000..5946f3c0bb
--- /dev/null
+++ b/network/courier-unicode/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+courier-unicode: courier-unicode (Courier Unicode library)
+courier-unicode:
+courier-unicode: The Courier authentication library provides Unicode-related
+courier-unicode: algorithms for other Courier applications.
+courier-unicode:
+courier-unicode: Homepage: http://www.courier-mta.org/unicode/
+courier-unicode:
+courier-unicode:
+courier-unicode:
+courier-unicode:
+courier-unicode: